%define lib_major 1
%define libname %mklibname %{name} %{lib_major}
%define devname %mklibname %{name} -d
%define gdk_libname %mklibname gdkimlib %{lib_major}
%define gdk_devname %mklibname gdkimlib -d

Summary:	An image loading and rendering library
Name:		imlib
Version:	1.9.15
Release:	17
License:	LGPLv2+
Group:		System/Libraries
Url:		http://www.enlightenment.org/Libraries/Imlib/	
Source0:	ftp://ftp.gnome.org/pub/GNOME/stable/sources/imlib/1.9/%{name}-%{version}.tar.bz2
Source1:	imlib-pofiles.tar.bz2
Patch0:		imlib-1.9-m4.patch
Patch1:		imlib-1.9.11-i18n.patch
Patch2:		imlib-1.9.10-path.patch
Patch3:		imlib-1.9.15-no-locincpth.patch
Patch5:		imlib-1.9.13-secfixes.patch
Patch6:		imlib-1.9.14-fix-underquoted-calls.patch
Patch7:		imlib-1.9.15-max-24bpp.diff
Patch8:		imlib-1.9.15-link.patch
Patch9:		imlib-1.9.15-libpng15.diff
Patch10:	imlib-1.9.15-giflib51.patch
BuildRequires:	chrpath
BuildRequires:	gettext
BuildRequires:	giflib-devel
BuildRequires:	jpeg-devel
BuildRequires:	pkgconfig(gtk+)
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(libtiff-4)
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xext)
Provides:	Imlib = %{EVRD}

# Comment to Source1 :
# I don't understand why official imlib dropped i18n support ?! all
# hooks are there though, only the po/ directory has been deleted

%description
Imlib is a display depth independent image loading and rendering library.
Imlib is designed to simplify and speed up the process of loading images
and obtaining X Window System drawables.  Imlib provides many simple
manipulation routines which can be used for common operations.  

Install imlib if you need an image loading and rendering library.
You may also want to install the imlib-cfgeditor package, which will help
you configure Imlib.

%files
%doc README AUTHORS ChangeLog
%config(noreplace) %{_sysconfdir}/*

#----------------------------------------------------------------------------

%package -n %{libname}
Summary:	Main library for %{name}
Group:		System/Libraries
Requires:	%{name}

%description -n %{libname}
This package contains the library needed to run programs dynamically
linked with %{name}.

%files -n %{libname}
%doc README
%{_libdir}/libImlib.so.%{lib_major}*

#----------------------------------------------------------------------------

%package -n %{devname}
Summary:	Includes and other files to develop %{name} applications
Group:		Development/GNOME and GTK+
Requires:	%{libname} = %{EVRD}
Provides:	lib%{name}-devel = %{EVRD}
Provides:	imlib-devel = %{EVRD}

%description -n %{devname}
The header files, static libraries and documentation needed for
developing Imlib applications.  Imlib is an image loading and rendering
library.

Install the imlib-devel package if you want to develop Imlib applications.
You'll also need to install the imlib and imlib_cfgeditor packages.

%files -n %{devname}
%doc doc/*.gif doc/*.html README AUTHORS ChangeLog
%{_bindir}/imlib-config
%multiarch %{multiarch_bindir}/imlib-config

%{_mandir}/man1/imlib-config*
# note, the blank line above is needed due to some borked rpm5 macro
%{_includedir}/Imlib*
%{_datadir}/aclocal/*
%{_libdir}/libImlib.so
%{_libdir}/pkgconfig/imlib.pc

#----------------------------------------------------------------------------

%package -n %{gdk_libname}
Summary:	GDK version of the imlib library
Group:		System/Libraries
Requires:	%{name}

%description -n %{gdk_libname}
This package contains the library needed to run programs dynamically
linked with the gdk version of %{name}.

%files -n %{gdk_libname}
%{_libdir}/libgdk_imlib.so.%{lib_major}*

#----------------------------------------------------------------------------

%package -n %{gdk_devname}
Summary:	Includes and other files to develop %{name} applications
Group:		Development/GNOME and GTK+
Requires:	%{gdk_libname} = %{EVRD}
Requires:	%{devname} = %{EVRD}
Provides:	libgdk%{name}-devel = %{EVRD}
Provides:	gdkimlib-devel = %{EVRD}

%description -n %{gdk_devname}
The header files, static libraries and documentation needed for
developing gdk_imlib applications.  gdk_imlib is an image loading and rendering
library.

%files -n %{gdk_devname}
%{_includedir}/gdk_*
%{_libdir}/pkgconfig/imlibgdk.pc
%{_libdir}/libgdk_imlib.so

#----------------------------------------------------------------------------

%package cfgeditor
Summary:	A configuration editor for the Imlib library
Group:		System/Libraries
Requires:	%{name}

%description cfgeditor
The imlib-cfgeditor package contains the imlib_config program, which you
can use to configure the Imlib image loading and rendering library.
Imlib_config can be used to control how Imlib uses color and handles
gamma corrections, etc.

If you're installing the imlib package, you should also install
imlib_cfgeditor.

%files cfgeditor -f %{name}.lang
%doc README
%{_bindir}/imlib_config
%{_mandir}/man1/imlib_config*

#----------------------------------------------------------------------------

%prep
%setup -q
%patch0 -p0 -b .m4ver
%patch1 -p1 -b .i18n
%patch2 -p1 -b .path
%patch3 -p1 -b .no-locincpth
%patch5 -p1 -b .can-2004-1025_1026
%patch6 -p1 -b .underquoted
%patch7 -p0
%patch8 -p1 -b .link
%patch9 -p1 -b .libpng15
%patch10 -p1 -b .giflib51

%build
autoreconf -fi
%configure2_5x \
	--disable-gtktest \
	--disable-static
%make

%install
%makeinstall_std

# some hand dealing for locale
tar jxvf %{SOURCE1}
for i in po/*.po ; do
  mkdir -p %{buildroot}%{_datadir}/locale/`basename $i .po`/LC_MESSAGES
  msgfmt -v -o %{buildroot}%{_datadir}/locale/`basename $i .po`/LC_MESSAGES/imlib.mo $i
done

%multiarch_binaries %{buildroot}%{_bindir}/imlib-config

# (sb) rpmlint
chrpath -d %{buildroot}%{_bindir}/imlib_config
chrpath -d %{buildroot}%{_libdir}/*.so*

%find_lang %{name}


%changelog
* Fri Jun 27 2014 Alex Burmashev <alex.burmashev@rosalab.ru> 1.9.15-17
+ Revision: bf13fa9
- MassBuild#440: Increase release tag


